﻿#contact{
  margin-bottom: 30px;
}

.contact-title-box{
  padding: 50px 0;
  display: block;
  position: relative;
  font-size: 0;
  width:45%;
  max-width: 100%; 
}
.contact-line-box{
  display: inline-block;
  vertical-align: middle;
  width: calc(100% - 140px);
}
.contact-line-box span{
  display: inline-block;
  vertical-align: middle;
}
.contact-line-box span:nth-child(1){
  width:  calc(100% - 10px);
  max-width: 100%;
  height: 1px;
  background-color:#008ca7;
}
.contact-line-box span:nth-child(2){
  width: 10px;
  height: 10px;
  background-color:  #008ca7;
}
.contact-title{
  display: inline-block;
  vertical-align: middle;
  color: #008ca7;
  padding-left: 20px;
  font-size: 30px;
 
  font-weight: bold;
}
.contact-title-p{
  font-weight: bold;
  transform: skewX(-10deg);
}
.contact-box{
  width: 1000px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  padding: 50px 0;
  position: relative;
}



.contact-info-form{
  position: relative;
  z-index: 5;

}
/* ----------------contact-line--------------------- */
.contact-line-top1-1{
  width: 100px;
  max-width: 100%;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #008ca7;
  height: 1px;
}
.contact-line-top1-2{
  width: 100px;
  max-width: 100%;
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  background-color: #008ca7;
  height: 1px;
}

.contact-line-right1-1{
  width: 1px;
  max-width: 100%;
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  background-color: #008ca7;
  height: 100px;
}
.contact-line-right1-2{
  width: 1px;
  max-width: 100%;
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #008ca7;
  height: 100px;
}
.contact-line-bottom1-1{
  width: 100px;
  max-width: 100%;
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: #008ca7;
  height: 1px;
}
.contact-line-bottom1-2{
  width: 100px;
  max-width: 100%;
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #008ca7;
  height: 1px;
}
.contact-line-left1-1{
  width: 1px;
  max-width: 100%;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #008ca7;
  height: 100px;
}

.contact-line-left1-2{
  width: 1px;
  max-width: 100%;
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: #008ca7;
  height: 100px;
}




/* ------------------表單------------------ */


.contact-title2-box{
  font-size: 0;
  display: block;
  padding-bottom: 20px;
}

.contact-add{
  font-size: 24px;
  letter-spacing: 2px;
  color: #333333;
  font-weight: bold;
  display: inline-block;
  vertical-align: middle;
  transform: skewX(-10deg);
}




.contact-title2{
  font-size: 24px;
  letter-spacing: 2px;
  color: #333333;
  font-weight: bold;
  display: inline-block;
  vertical-align: middle;
    transform: skewX(-10deg);
  padding-left: 10px;
}

.contact-lable{
  display: inline-block;
  font-size: 18px;
  font-weight: bold;
  transform: skewX(-10deg);
  vertical-align: middle;
  color: #333333;
  letter-spacing: 2px;
}
.contact-lable span{
  color: #ff0000;
  font-size: 14px;
  font-weight: bold;
}
.contact-sex-box{
  display: inline-block;
  vertical-align: middle;
  padding-left: 10px;
}


.contact-info-form{
  width: 800px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
}
.contact-info-form li{
  display: block;
  padding-bottom: 20px;
}

.contact-name> input{
  width: 100%;
  display: block;
  margin-top: 10px;
  height: 46px;
  line-height: 46px;
  border: 1px solid  #008ca7;
  box-sizing: border-box;
  font-size: 18px;
  padding-left: 10px;
}
.contact-phone label{
  display: block;
}
.contact-info-form li.contact-style2{
  display: block;
  width: 48%;
}
.contact-phone> input{
  width: 380px;
  max-width: 100%;
  height: 46px;
  line-height: 46px;
  border: 1px solid  #008ca7;
  box-sizing: border-box;
  font-size: 18px;
  padding-left: 10px;
}
.contact-phone .contact-lable{
  padding-bottom: 10px;
}
.right{
  float: right;
}
.left{
  float: left;
}
.button{
  clear: both;
  width: 100%;
  display: block;
}
.button input{
  width: 100%;
  line-height: 40px;
  border: 0;
  color: #FFF;
  height: 40px;
  background-color: #008ca7;
  font-size: 20px;
  font-weight: bold;
  font-family: "微軟正黑體";
   font-style: italic;
   margin-top: 20px;
}



.demo--label {
    display: inline-block;
    font-size: 18px;
    font-weight: bold;
    color: #0287a6; 

}


.demo--radio {
    display: none;
}
.demo--radioInput {
    background-color: rgba(0,0,0,0);
    border: 3px solid #008ca7;
    display: inline-block;
    height: 20px;
    margin-top: -6px;
    vertical-align: middle;
    width: 20px;
    line-height: 1;
    position: relative;
    box-sizing: border-box;
    margin-left: 5px;
}
.demo--radio:checked + .demo--radioInput:after {
    background-color: #008ca7;
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    width: 100%;
    position: absolute;
}

/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color: #008ca7;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

